Bug 642724 - Openswan rebase to the latest upstream version
Openswan rebase to the latest upstream version
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openswan (Show other bugs)
6.1
All Linux
high Severity high
: rc
: ---
Assigned To: Avesh Agarwal
Aleš Mareček
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-13 12:29 EDT by Avesh Agarwal
Modified: 2011-05-19 09:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: openswan-2.6.32-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avesh Agarwal 2010-10-13 12:29:59 EDT
Description of problem:
Openswan rebase to the latest upstream version

Version-Release number of selected component (if applicable):
2.6.24-9

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Avesh Agarwal 2010-11-22 14:32:58 EST
Some of the main reasons to rebase the current 2.6.24 to the latest upstream version 2.6.31 are as follows:

The complete changelog is here: http://git.openswan.org/cgi-bin/gitweb.cgi?p=openswan.public/.git;a=blob_plain;f=CHANGES;hb=HEAD

* IKEv2 modifications (such as transport mode, traffic selectors)
* Interop fixes related to Cisco, Netsreen, Windows
* Add --listen/listen= option to limit listening to a single IP
* Changes related to XAUTH and ModeConfig
* NAT related changes
* Several other fixes including security related.
Comment 15 errata-xmlrpc 2011-05-19 09:55:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0652.html

Note You need to log in before you can comment on or make changes to this bug.